Paperfuldocs

Search

GET
/search

Searches for paper's content in the current workspace.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

query*string
mode?string
Default"hybrid"

Value in

  • "fulltext"
  • "hybrid"
  • "semantic"

Response Body

application/json

curl -X GET "https://example.com/search?query=string"
{  "total": 0,  "items": [    {      "content": "string",      "score": 0,      "distance": 0,      "matches": [        {          "type": "token",          "token": "string",          "range": [            0,            0          ],          "nodes": [            {              "id": "string",              "page": 0            }          ]        }      ],      "nodes": [        {          "id": "string",          "range": [            0,            0          ],          "page": 0        }      ],      "paper": {        "id": "string",        "fileName": "string",        "title": "string",        "version": {          "id": "string"        }      }    }  ],  "cursor": {    "next": "string",    "prev": "string"  }}